Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.util
Class ToStringBuilder

    java.lang.Object
      org.apache.cayenne.util.ToStringBuilder

    public class ToStringBuilder

extends Object

A utility class to simplify implementation of Object toString methods. This implementation is a trimmed version of commons-lang ToStringBuilder.

Since:
  3.0

Field Summary
`protected StringBuilder` | `buffer`
`protected int` | `fieldCount`
`protected Object` | `object`

Constructor Summary
`ToStringBuilder(Object object)`

Method Summary
`ToStringBuilder` | `append(String fieldName, Object value)`
`protected void` | `appendArray(boolean[] array)`
`protected void` | `appendArray(byte[] array)`
`protected void` | `appendArray(char[] array)`
`protected void` | `appendArray(double[] array)`
`protected void` | `appendArray(float[] array)`
`protected void` | `appendArray(int[] array)`
`protected void` | `appendArray(long[] array)`
`protected void` | `appendArray(Object[] array)`
`protected void` | `appendArray(short[] array)`
`protected void` | `appendClassName()`
`protected void` | `appendDetail(Object value)`
`protected void` | `appendIdentityHashCode()`
`String` | `toString()` Returns a String built by the earlier invocations.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### buffer

    protected StringBuilder buffer

### object

    protected Object object

### fieldCount

    protected int fieldCount

Constructor Detail

### ToStringBuilder

    public ToStringBuilder(Object object)

Method Detail

### append

    public ToStringBuilder append(String fieldName,
                                  Object value)

### appendDetail

    protected void appendDetail(Object value)

### appendArray

    protected void appendArray(short[] array)

### appendArray

    protected void appendArray(int[] array)

### appendArray

    protected void appendArray(float[] array)

### appendArray

    protected void appendArray(long[] array)

### appendArray

    protected void appendArray(byte[] array)

### appendArray

    protected void appendArray(double[] array)

### appendArray

    protected void appendArray(char[] array)

### appendArray

    protected void appendArray(boolean[] array)

### appendArray

    protected void appendArray(Object[] array)

### appendClassName

    protected void appendClassName()

### appendIdentityHashCode

    protected void appendIdentityHashCode()

### toString

    public String toString()

  Returns a String built by the earlier invocations.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Cayenne. All Rights Reserved.